/** @overview nodeunit test case. */

var testResource = require('../../../test_resource'),
    mockInjector = require('../../../mock_injector'),
    evaluateScriptWithScope = require('../../../../lib/expression/evaluate_script_with_scope.js');

exports.setUp = function (done) {
    done();
};

exports.tearDown = function (done) {
    mockInjector.restoreAll();
    done();
};


exports['Evaluate script with scope.'] = function (test) {
    var script = '1 + foo',
        scope = {foo: 3};
    var evaluated = evaluateScriptWithScope(script, scope);
    test.equal(evaluated, 4);
    test.done();
};